GETListExchanges

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/listexchanges

List all exchange pairs (Bancor-style exchanges) registered on the network.

Query Parameters
visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
exchange_idinteger (int64)

Unique ID of the exchange pair.

creator_addressstring

Address of the account that created the exchange.

create_timeinteger (int64)

Timestamp when the exchange was created. (Unit: millisecond)

first_token_idstring

ID of the first token. TRX is represented as _.

first_token_balanceinteger (int64)

Balance of the first token held by the exchange.

second_token_idstring

ID of the second token. TRX is represented as _.

second_token_balanceinteger (int64)

Balance of the second token held by the exchange.

X-API-KEY
RequestCU50
cURL
curl -X GET "https://tron-mainnet.nodit.io/wallet/listexchanges?visible=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "exchanges": [
    {
      "exchange_id": 0,
      "creator_address": "string",
      "create_time": 0,
      "first_token_id": "string",
      "first_token_balance": 0,
      "second_token_id": "string",
      "second_token_balance": 0
    }
  ]
}